Skip to content
CARP Docs
Ask AISystemLightDark

Get all

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
GET
/api/studies/{study-id}/files
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

study-id*string
query?string

Response body

OK

*/*
  1. response
[index: integer]?
Example request
curl -X GET 'https://dev.carp.dk/api/studies/string/files'
Example response
[  {    "createdBy": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedBy": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "id": 0,    "fileName": "string",    "relativePath": "string",    "originalName": "string",    "metadata": {      "integralNumber": true,      "missingNode": true,      "floatingPointNumber": true,      "nodeType": "ARRAY",      "string": true,      "textual": true,      "boolean": true,      "binary": true,      "valueNode": true,      "container": true,      "object": true,      "pojo": true,      "short": true,      "int": true,      "long": true,      "double": true,      "bigDecimal": true,      "bigInteger": true,      "number": true,      "array": true,      "empty": true,      "null": true,      "float": true,      "embeddedValue": true    },    "studyId": "string",    "ownerId": "string",    "deploymentId": "string"  }]

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture